<?php

declare(strict_types=1);

namespace Drupal\ai_migrate_agent\Plugin\AiFunctionGroup;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\ai\Attribute\FunctionGroup;
use Drupal\ai\Service\FunctionCalling\FunctionGroupInterface;

/**
 * The Modification Tools.
 */
#[FunctionGroup(
  id: 'migrate_tools',
  group_name: new TranslatableMarkup('Migrate Tools'),
  description: new TranslatableMarkup('These are tools that are meant to provide agents with intertaions with the Migrate module in order to migrate content into Drupal.'),
)]
final class MigrateTools implements FunctionGroupInterface {
}
